Bug 1418794 - __init__.pyc from install of python2-modulemd-1.0.2-1.fc25.noarch conflicts with file from package python-custodia-0.1.0-4.fc25.noarch
Summary: __init__.pyc from install of python2-modulemd-1.0.2-1.fc25.noarch conflicts w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: modulemd
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1418796
TreeView+ depends on / blocked
 
Reported: 2017-02-02 18:02 UTC by Jeremy Linton
Modified: 2017-03-17 00:18 UTC (History)
10 users (show)

Fixed In Version: modulemd-1.1.0-1.fc24 modulemd-1.1.0-1.fc25 modulemd-1.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1418796 (view as bug list)
Environment:
Last Closed: 2017-02-24 23:18:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeremy Linton 2017-02-02 18:02:45 UTC
Description of problem: Attempting to install copr, a dependent package python2-modulemd-1.0.2-1.fc25.noarch is conflicting with a previously installed python-custodia-0.1.0-4.fc25.noarch over the file. 

/usr/lib/python2.7/site-packages/tests/__init__.pyo

which AFAIK is a bug in both packages as they should be putting their test packages under their own subdirs.

/usr/lib/python2.7/site-packages/custodia/tests/__init__.pyo.


Version-Release number of selected component (if applicable): 

Fedora 25:
custodia-0.1.0-4
modulemd-1.0.2-1

How reproducible: Right now 100%


Steps to Reproduce:
1. dnf install python-custodia  python-modulemd
2.
3.

Actual results:

Dependencies resolved.
=====================================================================================================================================================================
 Package                                      Arch                               Version                                   Repository                           Size
=====================================================================================================================================================================
Installing:
 PyYAML                                       x86_64                             3.11-13.fc25                              fedora                              170 k
 python-custodia                              noarch                             0.1.0-4.fc25                              fedora                               65 k
 python-jwcrypto                              noarch                             0.3.2-1.fc25                              fedora                               58 k
 python2-modulemd                             noarch                             1.0.2-1.fc25                              updates                              40 k

Transaction Summary
=====================================================================================================================================================================
Install  4 Packages

Total download size: 333 k
Installed size: 1.2 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): python2-modulemd-1.0.2-1.fc25.noarch.rpm                                                                                      196 kB/s |  40 kB     00:00    
(2/4): python-jwcrypto-0.3.2-1.fc25.noarch.rpm                                                                                       142 kB/s |  58 kB     00:00    
(3/4): python-custodia-0.1.0-4.fc25.noarch.rpm                                                                                       124 kB/s |  65 kB     00:00    
(4/4): PyYAML-3.11-13.fc25.x86_64.rpm                                                                                                325 kB/s | 170 kB     00:00    
---------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                188 kB/s | 333 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/python2.7/site-packages/tests/__init__.pyc conflicts between attempted installs of python2-modulemd-1.0.2-1.fc25.noarch and python-custodia-0.1.0-4.fc25.noarch
  file /usr/lib/python2.7/site-packages/tests/__init__.pyo conflicts between attempted installs of python2-modulemd-1.0.2-1.fc25.noarch and python-custodia-0.1.0-4.fc25.noarch

Error Summary
-------------



Expected results:

Clean install.

Additional info:

Comment 1 Charalampos Stratakis 2017-02-02 18:12:32 UTC
Changing the component to modulemd and also cloning the bug for custodia as well so the maintainers can be notified.

Comment 2 Miroslav Suchý 2017-02-03 10:30:37 UTC
Upstream notified: https://pagure.io/modulemd/issue/25

Comment 3 Fedora Update System 2017-02-14 21:16:18 UTC
modulemd-1.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37d580e120

Comment 4 Fedora Update System 2017-02-14 21:16:30 UTC
modulemd-1.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec4f43e4d1

Comment 5 Fedora Update System 2017-02-14 21:16:37 UTC
modulemd-1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-536e3ce0c5

Comment 6 Fedora Update System 2017-02-16 17:18:24 UTC
modulemd-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-536e3ce0c5

Comment 7 Fedora Update System 2017-02-17 00:51:18 UTC
modulemd-1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec4f43e4d1

Comment 8 Fedora Update System 2017-02-17 15:24:29 UTC
modulemd-1.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37d580e120

Comment 9 Fedora Update System 2017-02-24 23:18:45 UTC
modulemd-1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-02-27 22:52:18 UTC
modulemd-1.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-03-17 00:18:35 UTC
modulemd-1.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.